## kinfocenter 6.3.0

=== debian/changelog ===
kinfocenter (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:52:08 +0100

kinfocenter (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:47 +0100

kinfocenter (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 Jan 2025 11:42:32 +0100

kinfocenter (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:36 +0100

kinfocenter (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:21:45 +0100

kinfocenter (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:24 +0100

kinfocenter (4:6.2.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Oct 2024 19:34:15 +0200

kinfocenter (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:44:50 +0200

kinfocenter (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:40 +0200

kinfocenter (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:34 +0200

kinfocenter (4:6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop obsolete dependency on plasma-workspace.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 00:16:43 +0200

kinfocenter (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Add dependency to libkf6kcmutils-bin, the energy info desktop file uses it
    to launch the corresponding KCM.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:17 +0200

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libdrm-dev,
               libegl-dev,
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libusb-1.0-0-dev,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: libkf6kcmutils-bin,
         qml6-module-org-kde-kirigami,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo [linux-any],
            dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
            iproute2 [linux-any],
            mesa-utils [linux-any],
            pciutils,
            vulkan-tools [linux-any],
            wayland-utils [linux-any],
Suggests: samba,
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.3.2

=== debian/changelog ===
kinfocenter (4:6.3.2-3) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Remove obsolete conffile /etc/xdg/menus/kinfocenter.menu on upgrades
    (Closes: #1100768)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.2, no changes required.
  * Recommend vulkan-tools everywhere, not only on Linux: now it is available
    on all the architectures.
  * CI: update/simplify configuration.
  * Update lintian overrides.
  * Drop debian/kinfocenter.postinst, as it was needed to migrate from versions
    before than Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Mar 2025 07:01:55 +0100

kinfocenter (4:6.3.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Also recommend libdisplay-info-bin to fix the EDID info panel.
    (Closes: #1099576)
  * Also recommend pulseaudio-utils to fix the Audio panel. (Closes:
    #1100524)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 14 Mar 2025 21:50:59 +0100

kinfocenter (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:14 +0100

## kinfocenter 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kinfocenter)
set(PROJECT_VERSION "6.3.4")

set(QT_MIN_VERSION "6.7.0")

set(KF6_MIN_VERSION "6.10.0")
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMFindQmlModule)
include(KDEGitCommitHooks)
include(ECMSetupQtPluginMacroNames)
include(ECMQueryQt)
include(ECMDeprecationSettings)

option(BUILD_DOC "Whether to build the documentation" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    I18n
    KCMUtils
    KIO
    Service
    Solid
    Auth
)

find_package(PkgConfig)
pkg_check_modules(libdrm REQUIRED IMPORTED_TARGET libdrm)

ecm_find_qmlmodule(org.kde.kirigami 2.5)

macro(kinfocenter_add_kcm target)
    kcmutils_add_qml_kcm(${target} DISABLE_DESKTOP_FILE_GENERATION SOURCES ${ARGN} INSTALL_NAMESPACE plasma/kcms/kinfocenter)
endmacro()

if(BUILD_DOC)
    find_package(KF6DocTools ${KF6_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif()

find_package(SystemSettings QUIET)
set_package_properties(SystemSettings PROPERTIES
    DESCRIPTION "Plasma's SystemSettings"
    TYPE RUNTIME
    PURPOSE "Absolutely required because the KInfoCenter binary is a symlink to it!"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.9.0
)


ecm_query_qt(QtBinariesDir QT_INSTALL_BINS)

add_subdirectory( appiumtests )
add_subdirectory( categories )
add_subdirectory( kcms )
add_subdirectory(src)

if(BUILD_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

##install

install( FILES org.kde.kinfocenter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

ADD_CUSTOM_TARGET(kinfocenter_link ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_BINDIR}/systemsettings ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter DESTINATION ${KDE_INSTALL_FULL_BINDIR}/ )

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kinfocenter\")
add_library(KInfoCenterInternal SHARED CommandOutputContext.cpp CommandOutputContext.h)
target_link_libraries(KInfoCenterInternal Qt::Qml KF6::I18n KF6::CoreAddons)
# Disable legacy stuff to get rid of some deprecation warnings. Notably duplicated QProcess::finished overloads.
target_compile_definitions(KInfoCenterInternal PRIVATE -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
target_include_directories(KInfoCenterInternal INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

# NB: this is a private library that may not be linked to. Symbol visibility is of no concern. Neither is versioning.
set_target_properties(KInfoCenterInternal
    PROPERTIES
        C_VISIBILITY_PRESET default
        CXX_VISIBILITY_PRESET default
        VISIBILITY_INLINES_HIDDEN OFF)

install(DIRECTORY qml/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kinfocenter/private)
install(TARGETS KInfoCenterInternal ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== kcms/samba/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_samba\")

set(kcm_samba_PART_SRCS
    smbmountmodel.cpp
    ksambasharemodel.cpp
    smbmountmodel.h
    ksambasharemodel.h
)

qt_add_dbus_interface(kcm_samba_PART_SRCS org.freedesktop.Avahi.Server.xml org.freedesktop.Avahi.Server)

# Intermediate lib for use in testing.
add_library(kcm_samba_static STATIC ${kcm_samba_PART_SRCS})
set_property(TARGET kcm_samba_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcm_samba_static
    KF6::KIOCore
    KF6::Solid
    KF6::I18n
    KF6::KCMUtils
    KF6::KIOWidgets
)

set(kcm_samba_SRCS main.cpp)
qt_add_dbus_interface(kcm_samba_SRCS org.freedesktop.DBus.Properties.xml org.freedesktop.DBus.Properties)
kinfocenter_add_kcm(kcm_samba SOURCES ${kcm_samba_SRCS} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")
target_link_libraries(kcm_samba PRIVATE
    KF6::KCMUtilsQuick
    kcm_samba_static
)

add_subdirectory(autotests)

=== kcms/about-distro/src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(opengl-helper)

set(kcm_SRCS
    CPUEntry.cpp
    CPUEntry.h
    Entry.cpp
    Entry.h
    FancyString.cpp
    FancyString.h
    GPUEntry.cpp
    GPUEntryFactory.cpp
    GPUEntry.h
    GraphicsPlatformEntry.cpp
    GraphicsPlatformEntry.h
    KernelEntry.cpp
    KernelEntry.h
    main.cpp
    MemoryEntry.cpp
    MemoryEntry.h
    OSVersionEntry.cpp
    OSVersionEntry.h
    PlasmaEntry.cpp
    PlasmaEntry.h
    ServiceRunner.cpp
    ThirdPartyEntry.cpp
    ThirdPartyEntry.h
)

kcmutils_add_qml_kcm(kcm_about-distro SOURCES ${kcm_SRCS} INSTALL_NAMESPACE "plasma/kcms")

target_link_libraries(kcm_about-distro  PRIVATE
    KF6::CoreAddons
    KF6::I18n
    KF6::ConfigCore
    KF6::KCMUtilsQuick
    KF6::Solid
    KF6::Service
    KF6::KIOGui
    KF6::AuthCore
    PkgConfig::libdrm
)

cmake_path(RELATIVE_PATH KDE_INSTALL_FULL_LIBEXECDIR BASE_DIRECTORY "${KDE_INSTALL_FULL_PLUGINDIR}/plasma/kcms/" OUTPUT_VARIABLE LIBEXECDIR_FROM_KCM)

target_compile_options(
    kcm_about-distro
    PRIVATE
        -DKDE_INSTALL_FULL_LIBEXECDIR=\"${KDE_INSTALL_FULL_LIBEXECDIR}\"
        -DLIBEXECDIR_FROM_KCM=\"${LIBEXECDIR_FROM_KCM}\"
)

=== debian/changelog ===
kinfocenter (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:54:49 +0100

kinfocenter (4:6.3.3-0ubuntu3) plucky; urgency=medium

  * No change rebuild for Qt 6.8.3

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Mar 2025 10:42:28 +0100

kinfocenter (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * Recommend: libdisplay-info-bin. Provides missing di-edid-decode
    binary to populate EDID monitor info section. (LP: #2102157)

 -- Rik Mills <rikmills@kde.org>  Sun, 30 Mar 2025 18:17:05 +0100

kinfocenter (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:17:23 +0000

kinfocenter (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Extra recommends on edid-decode, pulseaudio-utils, mesa-utils,
      mesa-utils-extra, x11-utils.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:26:32 +0000

kinfocenter (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:15:16 +0000

kinfocenter (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:20 +0000

kinfocenter (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:54:13 +0000

kinfocenter (4:6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:04:20 -0600

kinfocenter (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kinfocenter
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libdrm-dev,
@@ -26,13 +27,14 @@
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kinfocenter
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
 Rules-Requires-Root: no
 
 Package: kinfocenter
 Architecture: any
-Depends: libkf6kcmutils-bin,
+Depends: plasma-workspace (>= 4:6.3.0~),
+         libkf6kcmutils-bin,
          qml6-module-org-kde-kirigami,
          systemsettings,
          usb.ids,
@@ -41,11 +43,16 @@
 Recommends: aha,
             clinfo [linux-any],
             dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
+            edid-decode,
             iproute2 [linux-any],
-            mesa-utils [linux-any],
+            libdisplay-info-bin,
             pciutils,
+            pulseaudio-utils,
+            mesa-utils,
+            mesa-utils-extra,
             vulkan-tools [linux-any],
             wayland-utils [linux-any],
+            x11-utils,
 Suggests: samba,
 Description: system information viewer
  The kinfocenter provides you with a centralized and convenient

## kinfocenter 6.3.5

=== debian/changelog ===
kinfocenter (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Update Plasma version in system information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 21 May 2025 09:43:06 +0200

kinfocenter (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:59:18 +0200

## kinfocenter 6.3.6

=== kcms/CMakeLists.txt ===
add_subdirectory(helpers)

add_subdirectory( about-distro )
add_subdirectory(vulkan)
add_subdirectory(kwinsupportinfo)
add_subdirectory(cpu)
add_subdirectory(wayland)
add_subdirectory(interrupts)
add_subdirectory(xserver)
add_subdirectory(egl)
add_subdirectory(glx)
add_subdirectory(pci)
add_subdirectory(firmware_security)
add_subdirectory(opencl)
add_subdirectory(block_devices)
add_subdirectory(network)
add_subdirectory(audio_information)
add_subdirectory(memory)
add_subdirectory(edid)

add_subdirectory( samba )

find_package(USB1 MODULE)
set_package_properties(USB1 PROPERTIES DESCRIPTION "library that provides generic access to USB devicess"
                       URL "https://libusb.info/"
                       TYPE OPTIONAL
                       PURPOSE "View USB devices in kinfocenter"
                      )

if(USB1_FOUND)
   add_subdirectory( usbview )
endif()

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    add_subdirectory(energy)
endif()

=== debian/changelog ===
kinfocenter (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Fix strange horizontal scrolling in applications view that makes no
    sense. (kde#502948)
  * Backport upstream commits:
    - Fix total amount of memory in system information. [f44af69b]
    (kde#500412)
    - Make UI for energy history graph more stable. [2067b2ab] (kde#490239)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Jul 2025 13:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kinfocenter
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libdrm-dev,
@@ -25,16 +24,15 @@
                pkgconf,
                qml6-module-org-kde-kirigami,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kinfocenter
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
 Rules-Requires-Root: no
 
 Package: kinfocenter
 Architecture: any
-Depends: plasma-workspace (>= 4:6.3.0~),
-         libkf6kcmutils-bin,
+Depends: libkf6kcmutils-bin,
          qml6-module-org-kde-kirigami,
          systemsettings,
          usb.ids,
@@ -43,16 +41,13 @@
 Recommends: aha,
             clinfo [linux-any],
             dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
-            edid-decode,
             iproute2 [linux-any],
             libdisplay-info-bin,
+            mesa-utils [linux-any],
             pciutils,
             pulseaudio-utils,
-            mesa-utils,
-            mesa-utils-extra,
-            vulkan-tools [linux-any],
+            vulkan-tools,
             wayland-utils [linux-any],
-            x11-utils,
 Suggests: samba,
 Description: system information viewer
  The kinfocenter provides you with a centralized and convenient

## kinfocenter 6.4.4

=== debian/changelog ===
kinfocenter (4:6.4.4-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 13:58:06 +0000

kinfocenter (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:10:56 +0000

kinfocenter (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:58:14 +0000

kinfocenter (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:23:20 +0000

kinfocenter (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:39:51 +0000

kinfocenter (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:02:45 +1000

kinfocenter (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:47:54 +0000

kinfocenter (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:59:20 +0000

kinfocenter (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:58:34 +0000

kinfocenter (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:02:45 +0000

kinfocenter (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:45:47 +0000

kinfocenter (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:22:08 +0000

kinfocenter (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:29:08 +1000

kinfocenter (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:25:39 +0000

kinfocenter (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 09:19:01 +0000

kinfocenter (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:56:03 +0000

kinfocenter (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:00:14 +0000

kinfocenter (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:29:45 +0000

kinfocenter (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

kinfocenter (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:25:15 +0000

kinfocenter (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:01:17 +0000

kinfocenter (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:34:11 +0000

## kinfocenter 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.5")
 
-set(QT_MIN_VERSION "6.7.0")
+set(QT_MIN_VERSION "6.8.0")
 
-set(KF6_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.14.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -22,6 +22,7 @@
 include(ECMSetupQtPluginMacroNames)
 include(ECMQueryQt)
 include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 option(BUILD_DOC "Whether to build the documentation" ON)
 
@@ -40,6 +41,10 @@
 
 find_package(PkgConfig)
 pkg_check_modules(libdrm REQUIRED IMPORTED_TARGET libdrm)
+
+if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+    find_package(UDev REQUIRED COMPONENTS UDev)
+endif()
 
 ecm_find_qmlmodule(org.kde.kirigami 2.5)

=== appiumtests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()

find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
    DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
    PURPOSE "Needed for GUI tests"
    URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
    TYPE OPTIONAL
)

if(NOT SeleniumWebDriverATSPI_FOUND AND NOT "$ENV{KDECI_BUILD}" STREQUAL "TRUE") # always run on CI
    return()
endif()

add_test(
    NAME kinfocenter_appiumtests
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kinfocenter_appiumtests.py
)
set_tests_properties(kinfocenter_appiumtests PROPERTIES TIMEOUT 1200)

=== categories/CMakeLists.txt ===
install( FILES deviceinfocategory.desktop graphicalinfocategory.desktop networkinfocategory.desktop lostfoundcategory.desktop basicinformation.desktop
         DESTINATION  ${KDE_INSTALL_DATADIR}/kinfocenter/categories)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kinfocenter)

=== kcms/block_devices/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

find_package(lsblk)
set_package_properties(lsblk PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_block_devices\")

kinfocenter_add_kcm(kcm_block_devices main.cpp)
target_link_libraries(kcm_block_devices PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== kcms/helpers/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Kristen McWilliam <kmcwilliampublic@gmail.com>

add_subdirectory(dmidecode-helper)

=== kcms/pci/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

# Linux has lcpci; effectively it's always there, but it's a runtime
# dependency anyway so we don't need to fail on it. `lspci -v` shows
# a verbose PCI tree.
#
# FreeBSD has pciconf in base; that means that it will always
# be there, so the `find_package()` is there mostly to demonstrate that
# we're looking for it (and not for lspci). `pciconf -lv` shows a verbose
# PCI tree.
if (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    find_package(pciconf)
    set_package_properties(pciconf PROPERTIES TYPE RUNTIME)

    set(PCI_BACKEND pciconf)
    set(PCI_BACKEND_ARGUMENTS "-lv")
else()
    find_package(lspci)
    set_package_properties(lspci PROPERTIES TYPE RUNTIME)

    set(PCI_BACKEND lspci)
    set(PCI_BACKEND_ARGUMENTS "-v")
endif()

configure_file(kcm_pci.json.cmake kcm_pci.json)
configure_file(backend.h.cmake backend.h)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_pci\")

kinfocenter_add_kcm(kcm_pci main.cpp)
target_link_libraries(kcm_pci PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== kcms/wayland/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(wayland-info)
set_package_properties(wayland-info PROPERTIES
    TYPE RUNTIME
    URL "https://gitlab.freedesktop.org/wayland/wayland-utils"
    PURPOSE "Wayland KCM")

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_wayland\")

kinfocenter_add_kcm(kcm_wayland main.cpp)
target_link_libraries(kcm_wayland PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== debian/changelog ===
kinfocenter (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:12:22 +0100

kinfocenter (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:21 +0100

kinfocenter (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:04 +0100

kinfocenter (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:17 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libdrm-dev,
               libegl-dev,
               libkf6auth-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               libusb-1.0-0-dev,
               pkgconf,
               qml6-module-org-kde-kirigami (>= 6.14.0~),
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:6.3.0~),
         libkf6kcmutils-bin,
         qml6-module-org-kde-kirigami,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo [linux-any],
            dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
            edid-decode,
            iproute2 [linux-any],
            libdisplay-info-bin,
            pciutils,
            pulseaudio-utils,
            mesa-utils,
            mesa-utils-extra,
            vulkan-tools [linux-any],
            wayland-utils [linux-any],
            x11-utils,
Suggests: samba,
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.4.5+p24.04+vstable+git20250926.0954

=== debian/changelog ===
kinfocenter (4:6.4.5+p24.04+vstable+git20250926.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:54:08 +0000

kinfocenter (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:53:37 +0000

## kinfocenter 6.4.5+p24.04+vstable+git20250928.1331

=== debian/changelog ===
kinfocenter (4:6.4.5+p24.04+vstable+git20250928.1331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:31:14 +0000

## kinfocenter 6.4.5+p24.04+vstable+git20251017.0812

=== debian/changelog ===
kinfocenter (4:6.4.5+p24.04+vstable+git20251017.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:12:19 +0000

## kinfocenter 6.4.5+p24.04+vstable+git20251019.0253

=== debian/changelog ===
kinfocenter (4:6.4.5+p24.04+vstable+git20251019.0253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:53:39 +0000

## kinfocenter 6.4.5+p24.04+vunstable+git20251020.1122

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.80")
 
-set(QT_MIN_VERSION "6.8.0")
+set(QT_MIN_VERSION "6.9.0")
 
-set(KF6_MIN_VERSION "6.14.0")
+set(KF6_MIN_VERSION "6.18.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

=== appiumtests/CMakeLists.txt ===
--- 
+++ 
@@ -21,5 +21,5 @@
     NAME kinfocenter_appiumtests
     COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kinfocenter_appiumtests.py
 )
-set_tests_properties(kinfocenter_appiumtests PROPERTIES TIMEOUT 1200)
+set_tests_properties(kinfocenter_appiumtests PROPERTIES TIMEOUT 300)

=== debian/changelog ===
kinfocenter (4:6.4.5+p24.04+vunstable+git20251020.1122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:22:06 +0000

## kinfocenter 6.4.91

=== debian/changelog ===
kinfocenter (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:02:21 +0200

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libdrm-dev,
               libegl-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libusb-1.0-0-dev,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: libkf6kcmutils-bin,
         qml6-module-org-kde-kirigami,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo [linux-any],
            dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
            iproute2 [linux-any],
            libdisplay-info-bin,
            mesa-utils [linux-any],
            pciutils,
            pulseaudio-utils,
            vulkan-tools,
            wayland-utils [linux-any],
Suggests: samba,
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.0")
 
 set(QT_MIN_VERSION "6.9.0")

=== kcms/audio_information/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Shubham Arora <shubhamarora@protonmail.com>

find_package(pipewire)
set_package_properties(pipewire PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_audio_information\")

kinfocenter_add_kcm(kcm_audio_information main.cpp)
target_link_libraries(kcm_audio_information PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== kcms/energy/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_energyinfo\")

set(kcm_energyinfo_SRCS
    batterymodel.cpp
    batterymodel.h
    kcm.cpp
    statisticsprovider.cpp
    statisticsprovider.h
)

kcmutils_add_qml_kcm(kcm_energyinfo SOURCES ${kcm_energyinfo_SRCS} INSTALL_NAMESPACE "plasma/kcms")

target_link_libraries(kcm_energyinfo PRIVATE
  Qt::DBus
  Qt::Gui
  KF6::CoreAddons
  KF6::I18n
  KF6::KCMUtilsQuick
  KF6::Solid
)

=== kcms/firmware_security/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021-2022 Harald Sitter <sitter@kde.org>

find_package(fwupdmgr)
set_package_properties(fwupdmgr PROPERTIES TYPE RUNTIME)

find_package(aha)
set_package_properties(aha PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_firmware_security\")

kinfocenter_add_kcm(kcm_firmware_security main.cpp)
target_link_libraries(kcm_firmware_security PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

install(FILES fwupdmgr.sh DESTINATION ${KDE_INSTALL_DATADIR}/kinfocenter/firmware_security)

=== kcms/network/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

find_package(ip)
set_package_properties(ip PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_network\")

kinfocenter_add_kcm(kcm_network main.cpp)
target_link_libraries(kcm_network PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== debian/changelog ===
kinfocenter (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:51 +0200

## kinfocenter 6.5.0+p24.04+vstable+git20251021.0842

=== debian/changelog ===
kinfocenter (4:6.5.0+p24.04+vstable+git20251021.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:42:23 +0000

kinfocenter (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:20:50 +0000

## kinfocenter 6.5.0+p24.04+vstable+git20251028.2232

=== debian/changelog ===
kinfocenter (4:6.5.0+p24.04+vstable+git20251028.2232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:32:30 +0000

## kinfocenter 6.5.0+p24.04+vunstable+git20251021.0657

=== debian/changelog ===
kinfocenter (4:6.5.0+p24.04+vunstable+git20251021.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:57:50 +0000

## kinfocenter 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kinfocenter)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT_MIN_VERSION "6.9.0")

=== kcms/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 add_subdirectory(audio_information)
 add_subdirectory(memory)
 add_subdirectory(edid)
+add_subdirectory(sensors)
 
 add_subdirectory( samba )

=== kcms/opencl/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>
# SPDX-FileCopyrightText: 2022 Linus Dierheimer <linus@dierheimer.de>
#
# SPDX-License-Identifier: BSD-3-Clause

find_package(clinfo)
set_package_properties(clinfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_opencl\")

kinfocenter_add_kcm(kcm_opencl main.cpp)
target_link_libraries(kcm_opencl PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== kcms/usbview/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmusb\")

set(kcm_usb_PART_SRCS kcmusb.cpp
    kcmusb.h
    usbdb.cpp
    usbdb.h
    usbdevices.cpp
    usbdevices.h )

kcoreaddons_add_plugin(kcm_usb SOURCES ${kcm_usb_PART_SRCS} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")

target_link_libraries(kcm_usb KF6::KCMUtils KF6::I18n Libusb-1.0)

=== kcms/vulkan/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(vulkaninfo)
set_package_properties(vulkaninfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_vulkan\")

kinfocenter_add_kcm(kcm_vulkan main.cpp)
target_link_libraries(kcm_vulkan PRIVATE KF6::CoreAddons KF6::KCMUtilsQuick KF6::I18n KInfoCenterInternal)

=== kcms/helpers/dmidecode-helper/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021-2022 Harald Sitter <sitter@kde.org>

find_package(dmidecode)
set_package_properties(dmidecode PROPERTIES TYPE RUNTIME)

add_executable(kinfocenter-dmidecode-helper helper.cpp)
target_link_libraries(kinfocenter-dmidecode-helper
    Qt::Widgets
    KF6::AuthCore
    KF6::I18n
)

kauth_install_actions(org.kde.kinfocenter.dmidecode org.kde.kinfocenter.dmidecode.actions)
kauth_install_helper_files(kinfocenter-dmidecode-helper org.kde.kinfocenter.dmidecode root)
install(TARGETS kinfocenter-dmidecode-helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== kcms/about-distro/src/opengl-helper/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Harald Sitter <sitter@kde.org>

add_executable(kinfocenter-opengl-helper main.cpp)
target_link_libraries(kinfocenter-opengl-helper Qt::Gui)
install(TARGETS kinfocenter-opengl-helper DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
kinfocenter (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:24 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Homepage: https://invent.kde.org/plasma/kinfocenter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
-Rules-Requires-Root: no
 
 Package: kinfocenter
 Architecture: any

## kinfocenter 6.5.1+p24.04+vstable+git20251029.0646

=== debian/changelog ===
kinfocenter (4:6.5.1+p24.04+vstable+git20251029.0646-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:46:17 +0000

kinfocenter (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:43:27 +0000

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kwayland-dev,
               libegl1-mesa-dev,
               libpci-dev,
               libpipewire-0.3-dev,
               libraw1394-dev [linux-any],
               libusb-1.0-0-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Git: https://invent.kde.org/neon/kde/kinfocenter.git
Vcs-Browser: https://invent.kde.org/neon/kde/kinfocenter
Maintainer: Neon CI <neon@kde.org>

Package: kinfocenter
Architecture: any
Depends: aha,
         clinfo,
         dmidecode,
         fwupd,
         ieee-data,
         iproute2,
         kf6-kirigami,
         libdisplay-info-bin,
         lm-sensors,
         mesa-utils,
         pciutils,
         plasma-workspace,
         pulseaudio-utils,
         systemsettings,
         usbutils,
         vulkan-tools,
         wayland-utils,
         x11-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.5.1+p24.04+vstable+git20251031.0847

=== debian/changelog ===
kinfocenter (4:6.5.1+p24.04+vstable+git20251031.0847-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:47:21 +0000
